package com.srs.teacher.service.impl;

import java.util.List;

import com.srs.teacher.domain.SysPerformanceActive;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.teacher.mapper.SysPerformancePassMapper;
import com.srs.teacher.domain.SysPerformancePass;
import com.srs.teacher.service.ISysPerformancePassService;

/**
 * 综合测试-第二课堂及格人数Service业务层处理
 *
 * @author srs
 * @date 2024-06-17
 */
@Service
public class SysPerformancePassServiceImpl extends ServiceImpl<SysPerformancePassMapper,SysPerformancePass> implements ISysPerformancePassService {
    @Autowired
    private SysPerformancePassMapper sysPerformancePassMapper;

    /**
     * 查询综合测试-第二课堂及格人数
     *
     * @param id 综合测试-第二课堂及格人数主键
     * @return 综合测试-第二课堂及格人数
     */
    @Override
    public SysPerformancePass selectSysPerformancePassById(Long id) {
        return sysPerformancePassMapper.selectSysPerformancePassById(id);
    }

    @Override
    public SysPerformancePass selectSysPerformancePassByFdyName(String fdName, String years) {
        return sysPerformancePassMapper.selectSysPerformancePassByFdyName(fdName, years);
    }

    /**
     * 查询综合测试-第二课堂及格人数列表
     *
     * @param sysPerformancePass 综合测试-第二课堂及格人数
     * @return 综合测试-第二课堂及格人数
     */
    @Override
    public List<SysPerformancePass> selectSysPerformancePassList(SysPerformancePass sysPerformancePass) {
        return sysPerformancePassMapper.selectSysPerformancePassList(sysPerformancePass);
    }

    /**
     * 新增综合测试-第二课堂及格人数
     *
     * @param sysPerformancePass 综合测试-第二课堂及格人数
     * @return 结果
     */
    @Override
    public int insertSysPerformancePass(SysPerformancePass sysPerformancePass) {
            return sysPerformancePassMapper.insertSysPerformancePass(sysPerformancePass);
    }

    /**
     * 修改综合测试-第二课堂及格人数
     *
     * @param sysPerformancePass 综合测试-第二课堂及格人数
     * @return 结果
     */
    @Override
    public int updateSysPerformancePass(SysPerformancePass sysPerformancePass) {
        return sysPerformancePassMapper.updateSysPerformancePass(sysPerformancePass);
    }

    /**
     * 批量删除综合测试-第二课堂及格人数
     *
     * @param ids 需要删除的综合测试-第二课堂及格人数主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformancePassByIds(Long[] ids) {
        return sysPerformancePassMapper.deleteSysPerformancePassByIds(ids);
    }

    /**
     * 删除综合测试-第二课堂及格人数信息
     *
     * @param id 综合测试-第二课堂及格人数主键
     * @return 结果
     */
    @Override
    public int deleteSysPerformancePassById(Long id) {
        return sysPerformancePassMapper.deleteSysPerformancePassById(id);
    }
}
